Method: projects.locations.collections.engines.assistants.agents.list

列出呼叫者建立的 Assistant 下所有 Agent

HTTP 要求

GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/assistants/*}/agents

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,父項資源名稱。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}

查詢參數

參數
pageSize

integer

選用。要傳回的 Agent 數量上限。如未指定,預設值為 100。允許的最大值為 1000;超出的數值將一律指定為 1000。

pageToken

string

選用。屬於接收自前一個 AgentService.ListAgents 呼叫的網頁權杖 ListAgentsResponse.next_page_token。提供此項目即可擷取後續網頁。

進行分頁時,提供至 agents.list 的所有其他參數須與提供網頁權杖的呼叫相符。

orderBy

string

選用。以半形逗號分隔的欄位清單,用於排序 (遞增順序)。在欄位名稱後方使用「desc」表示遞減。支援的欄位:

  • updateTime
  • isPinned

範例:

  • 「updateTime desc」
  • 「isPinned desc,updateTime desc」:先依 isPinned 列出代理程式,再依 updateTime 列出。
filter

string

選用。篩選 Agent 清單。支援的欄位:

  • displayName:代理程式的顯示名稱。支援 =:
  • id:代理程式的 ID。支援 =
  • state:代理程式的狀態。支援 =
  • createTime:建立服務專員的時間戳記。支援 =><>=<=
  • updateTime:代理程式上次更新的時間戳記。支援 =><>=<=

範例:

  • displayName = "My Agent"
  • createTime > "2023-01-01T00:00:00Z"

要求主體

要求主體必須為空白。

回應主體

AgentService.ListAgents 方法的回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "agents": [
    {
      object (Agent)
    }
  ],
  "nextPageToken": string
}
欄位
agents[]

object (Agent)

來電者在父項 Assistant 下方看到的代理人。

nextPageToken

string

可做為 ListAgentsRequest.page_token 傳送的權杖,用於擷取後續網頁。如果省略這個欄位,就不會有後續頁面。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview

IAM 權限

需要 parent 資源的下列 IAM 權限:

  • discoveryengine.agents.list

詳情請參閱 IAM 說明文件